libprelude

libprelude-1.0.0 がビルドできなくなった。

gnutls-3.0.5 にしたのが原因か。
gnutls-3.0.4 までは gnutls/extra.h が存在していたのに、
gnutls-3.0.5 からなくなった。

gnutls-3.0.5 の時の libprelude エラーは以下:

Making all in prelude-admin
make[2]: ディレクトリ `/mnt/lfs/sources/BLFS/libprelude-1.0.0/prelude-admin' に
入ります
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I.. -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wbad-function-cast -Wcast-qual -Wcast-align -Wnested-externs -Wunused -Wformat -Wformat-security -I../src/include -I../src/include -I../libmissing -I../libmissing -I../src/libprelude-error -g -O2 -MT prelude-admin.o -MD -MP -MF .deps/prelude-admin.Tpo -c -o prelude-admin.o prelude-admin.c
prelude-admin.c:60:26: 致命的エラー: gnutls/extra.h: そのようなファイルやディレ
クトリはありません
コンパイルを停止しました。
make[2]: *** [prelude-admin.o] エラー 1
make[2]: ディレクトリ `/mnt/lfs/sources/BLFS/libprelude-1.0.0/prelude-admin' か
ら出ます
make[1]: *** [all-recursive] エラー 1
make[1]: ディレクトリ `/mnt/lfs/sources/BLFS/libprelude-1.0.0' から出ます
make: *** [all] エラー 2

仕方ない。gnutls-3.0.4 でとどめておくか。

カテゴリー: LFS, ビルドエラー パーマリンク

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です